Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000391 [Yate - Yet Another Telephony Engine] engine minor always 2015-03-03 05:53 2016-04-29 13:36
Reporter jynik View Status public  
Assigned To paulc
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0000391: Add -L flag to "yate-config --libs" output [Patch provided]
Description Currently, "yate-config --libs" returns "-lyate".

This works fine for the primary use-case, where installations are in /usr or /usr/local. However, yatebts will fail to link when yate and yatebts have been configured with "--prefix=/opt/yate", as yate-config does not point the library path to /opt/yate/lib.

I propose that the s5 variable definition in yate-config be changed to: "-lyate -L${prefix}/lib", as shown in the provided patch.

This should have no effect on the "normal" installations, but allows for builds with other install prefixes to work correctly.
Additional Information --- bin/yate-config.orig 2015-03-02 22:44:26.217065400 -0500
+++ bin/yate-config 2015-03-02 22:46:28.881068685 -0500
@@ -39,7 +39,7 @@
 s2="-I${prefix}/include/yate"
 s3="-rdynamic -shared -Wl,--unresolved-symbols=ignore-in-shared-libs"
 s4="-Wl,--retain-symbols-file,/dev/null"
-s5="-lyate"
+s5="-lyate -L${prefix}/lib"
 
 while [ "$#" != 0 ]; do
     case "$1" in
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000596)
jynik (reporter)
2015-03-03 05:54

Sorry, missed the Product Version field. This is from the SVN Trunk.
(0000611)
paulc (administrator)
2016-04-29 13:36

Change in Rev. 6110 should have same effect as the provided patch.

- Issue History
Date Modified Username Field Change
2015-03-03 05:53 jynik New Issue
2015-03-03 05:54 jynik Note Added: 0000596
2016-04-29 13:36 paulc Note Added: 0000611
2016-04-29 13:36 paulc Assigned To => paulc
2016-04-29 13:36 paulc Status new => resolved
2016-04-29 13:36 paulc Resolution open => fixed


Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker